.jtooltip {
	--dark-theme: #353535;
	--light-theme: #f8f9fa;
	--success-theme: #2e8b57;
	--danger-theme: #bd362f;
	--info-theme: #1964b3;
	--warning-theme: #e64a19;
	--border-theme: var(--dark-theme);
	
	background-color: var(--dark-theme);
	padding: 0.625rem 0.9375rem;
	position: absolute;
	font-size: .75rem;
	font-family: "exo2", "ubuntu", "Calibri";
	color: #ffffff;
	z-index: 999999999999;
	letter-spacing: .0187rem;
	line-height: 1.6;
	border-radius: .3125rem;
	box-shadow: 0 0.25rem 0.25rem rgba(0, 0, 0, 0.2);
	pointer-events: none;
	max-width: 17.5rem;
	white-space: normal;
	word-wrap: break-word;
	text-align: left;
}

/* THEMES */
.jtooltip-theme-light {
	--border-theme: var(--light-theme);
	background-color: var(--light-theme);
	color: var(--dark-theme);
}

.jtooltip-theme-success {
	--border-theme: var(--success-theme);
	background-color: var(--success-theme);
	color: #fafafa;
}

.jtooltip-theme-info {
	--border-theme: var(--info-theme);
	background-color: var(--info-theme);
	color: #fafafa;
}

.jtooltip-theme-danger {
	--border-theme: var(--danger-theme);
	background-color: var(--danger-theme);
	color: #fafafa;
}

.jtooltip-theme-warning {
	--border-theme: var(--warning-theme);
	background-color: var(--warning-theme);
	color: #fafafa;
}

/* ARROWS */
.jtooltip:before {
	content: "";
	width: 0;
	height: 0;
	border: .5rem solid;
	position: absolute;
}

/* Top */
.jtooltip-position-top:before {
	border-color: var(--border-theme) transparent transparent transparent;
	top: 100%;
	left: var(--arrow-left, 50%);
	transform: translateX(-50%);
}

/* Bottom */
.jtooltip-position-bottom:before {
	border-color: transparent transparent var(--border-theme) transparent;
	bottom: 100%;
	left: var(--arrow-left, 50%);
	transform: translateX(-50%);
}

/* Left */
.jtooltip-position-left:before {
	border-color: transparent transparent transparent var(--border-theme);
	left: 100%;
	top: 50%;
	transform: translateY(-50%);
}

/* Right */
.jtooltip-position-right:before {
	border-color: transparent var(--border-theme) transparent transparent;
	right: 100%;
	top: 50%;
	transform: translateY(-50%);
}